STDBUF(1)

NOMBRE
stdbuf - Ejecuta ORDEN modificando la gestión de buffer de sus flujos de datos estándar.

SINOPSIS
stdbuf OPCIÓN... ORDEN

DESCRIPCIÓN

Ejecuta ORDEN modificando la gestión de los buffers de sus flujos de datos estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-i, --input=MODO
    reajusta la gestión del buffer del flujos de datos de entrada

-o, --output=MODO
    reajusta la gestión del buffer del flujo de datos de salida

-e, --error=MODO
    reajusta la gestión del buffer del flujo de datos de la salida de error estándar

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Si el valor de MODO es 'L', el flujo se gestiona mediante buffer por líneas. Esta opción no es válida con la entrada estándar.

Si MODO es '0', no se gestiona el flujo mediante buffer.

En otro caso, MODO representa una cifra que puede ir seguida de: KB 1000, K 1024, MB 1000*1000, M 1024*1024 y asi sucesivamente para G,T,P,E,Z,Y, R y Q. También es posible emplear prefijos binarios: KiB=K, MiB=M, etc... En este caso, el flujo de datos correspondiente se gestionará en su totalidad con un tamaño de buffer de MODO bytes.

Si es la ORDEN la que ajusta la gestión de buffer de su flujo de datos (un ejemplo de esto sería 'tee'), se anulará el efecto de 'stdbuf' como tampoco se ven afectados los filtros que no emplean buffer para E/S como es el caso de 'dd' o 'cat'.

  Estado de salida:

125 si falla la propia orden stdbuf

126 si se encuentra ORDEN pero no es posible invocarla

127 si no se encuntra la ORDEN

-   el estado de salida de ORDEN en cualquier otro caso

EJEMPLOS
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Mostrará inmediatamente las entradas de access.log eliminando las duplicadas.

ERRORES
En sistemas GLIBC, la definición de un tamaño de buffer, tendrá un efecto impredecible.

AUTOR
Escrito por Padraig Brady.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/stdbuf>
también disponible localmente ejecutando: info '(coreutils) stdbuf invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.